Name:           mysql-connector-net
Version:        6.9.9
Release:        %mkrel 3
Summary:        MySQL Connector/Net
Group:          Development/Other
# The entire source code is GPLv2 except Source/MySql.Data/zlib/ which is BSD
License:        GPLv2 and BSD
BuildArch: noarch
URL: https://dev.mysql.com/downloads/connector/net/
Source0:	http://cdn.mysql.com/Downloads/Connector-Net/%{name}-%{version}-src.zip
Source1:        mysql-connector-net.pc
BuildRequires:  pkgconfig(mono) >= 4.0
Requires:       mono-data >= 4.0

%description
Connector/Net is a fully-managed ADO.NET driver for MySQL.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q -c
%autopatch -p1

#Avoid sign the assembly due problem with the key
sed -i '77i#if DEBUG' Source/MySql.Data/Properties/AssemblyInfo.cs
sed -i '80i#endif' Source/MySql.Data/Properties/AssemblyInfo.cs
sed -i '81i[assembly: AssemblyKeyName("ConnectorNet")]' Source/MySql.Data/Properties/AssemblyInfo.cs

%build
xbuild /property:Configuration=Release /property:VisualStudioVersion=11.0 Source/MySql.Data/MySql.Data.csproj

%install
%{__mkdir_p} %{buildroot}/%{_libdir}/pkgconfig
%{__mkdir_p} %{buildroot}/%{_monogacdir}/
%{__mkdir_p} %{buildroot}/%{_monodir}/mysql-connector-net/
install -p -m0644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/
#fix version in pc file
perl -pi -e "s/^Version.*/Version: %{version}/" %buildroot%_libdir/pkgconfig/%{name}.pc
%{__install} -m0755 Source/MySql.Data/bin/v4.5/Release/MySql.Data.dll %{buildroot}%{_monodir}/mysql-connector-net/

gacutil -i %{buildroot}%{_monodir}/mysql-connector-net/MySql.Data.dll -f -package mysql-connector-net -root %{buildroot}/%{_prefix}/lib

%files
%doc CHANGES README
%license COPYING
%{_monogacdir}/*
%dir %{_monodir}/mysql-connector-net
%{_monodir}/mysql-connector-net/*

%files devel
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 6.9.9-3.mga10
+ Revision: 2213457
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 6.9.9-2.mga9
+ Revision: 1838542
- Mageia 9 Mass Rebuild

* Thu Dec 03 2020 luigiwalser <luigiwalser> 6.9.9-1.mga8
+ Revision: 1652335
- 6.9.9

* Mon Sep 21 2020 tv <tv> 6.9.8-5.mga8
+ Revision: 1629241
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 6.9.8-4.mga8
+ Revision: 1629168
- rebuild for new mono
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 6.9.8-3.mga8
+ Revision: 1492127
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 6.9.8-2.mga7
+ Revision: 1264572
- Mageia 7 Mass Rebuild

* Mon Dec 28 2015 tv <tv> 6.9.8-1.mga6
+ Revision: 916293
- use mono macros
- use %%license
- requires mono-data
- bump version in BR
- install pc in libdir
- build like FC
- new version

* Wed Oct 15 2014 umeabot <umeabot> 6.2.4-9.mga5
+ Revision: 744215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2.4-8.mga5
+ Revision: 682726
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.2.4-7.mga4
+ Revision: 522067
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 fwang <fwang> 6.2.4-6.mga3
+ Revision: 395548
- cleanup spec

* Sat Jan 12 2013 umeabot <umeabot> 6.2.4-5.mga3
+ Revision: 360581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 6.2.4-4.mga3
+ Revision: 335564
- Fix doc files list for new rpm

* Thu Nov 03 2011 anaselli <anaselli> 6.2.4-3.mga2
+ Revision: 162528
- Release bump, wrong submission

* Sun Jul 03 2011 anaselli <anaselli> 6.2.4-2.mga2
+ Revision: 117829
- Fixed pc file version changes

* Sun Jul 03 2011 anaselli <anaselli> 6.2.4-1.mga2
+ Revision: 117760
- Added pc file to get right dll position
+ stblack <stblack>
- imported package mysql-connector-net




* Sun Oct 10 2010 Götz Waschk <waschk@mandriva.org> 6.2.4-1mdv2011.0
+ Revision: 584531
- new version
- rediff patch
- update file list

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 6.1.3-2mdv2010.1
+ Revision: 479709
- new version
- fix build
- fix installation

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 5.1.7-2mdv2010.0
+ Revision: 440177
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - update license

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 5.1.7-1mdv2009.1
+ Revision: 308776
- new version
- drop patch

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 5.0.9-2mdv2009.0
+ Revision: 268226
- rebuild early 2009.0 package (before pixel changes)

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 5.0.8.1-1mdv2008.1
+ Revision: 164051
- import mysql-connector-net


